Page MenuHomePhabricator

Horizontal scrollbar in translation view columns and JS errors in OOjs UI
Closed, ResolvedPublic

Description

Every time I use the horizontal scrollbar I get this error:
oojs-ui-widgets.js?abd86:1267 Uncaught TypeError: Cannot read property '$element' of null(…)getRect @ oojs-ui-widgets.js?abd86:1267OO.ui.StackLayout.onScroll @ oojs-ui-widgets.js?abd86:1275later @ oojs-ui-core.js?336be:250setTimeout (async)(anonymous function) @ oojs-ui-core.js?336be:258dispatch @ load.php?debug=true&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1xcnjn8:4670elemData.handle @ load.php?debug=true&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1xcnjn8:4338
load.php?debug=true&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1xcnjn8:13281 window.onerror> Logged error successfully ["Thank you sir obvious.↵", "success", Object]

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 14 2016, 8:09 AM
2c71e9181acf0469125f4804320d53a604f75a6b is the first bad commit
commit 2c71e9181acf0469125f4804320d53a604f75a6b
Author: Santhosh Thottingal <santhosh.thottingal@gmail.com>
Date:   Thu Nov 10 12:03:52 2016 +0530

    Templates: Editing support and adaptation controls

Aside: while doing git-bisect and reloading the article, I got HUGE whitespace build-up that incrementally got worse:

Amire80 moved this task from Needs Triage to CX2 on the ContentTranslation board.Jun 25 2017, 5:02 PM
Arrbee moved this task from CX2 to Check & Move on the ContentTranslation board.Jul 22 2019, 1:22 PM
Petar.petkovic closed this task as Resolved.Jul 22 2019, 2:54 PM
Petar.petkovic claimed this task.
Petar.petkovic added a subscriber: Petar.petkovic.

This was reported for category widget in CX1. After redesign of category widget in CX2, I never saw this happening. This can be resolved.

Huge whitespace reported in T153175#2871848 is something I remember happen to me some time with CX1, but never with CX2.